Subject: bug#9810: cw in viper mode clobbers clipboard

From: Bob Nnamtrop <[email-masked]>
Date: Thu, 20 Oct 2011 10:48:30 -0600

On Thu, Oct 20, 2011 at 10:27 AM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Thu, 20 Oct 2011 10:18:06 -0600
>> From: Bob Nnamtrop <[email-masked]>
>>
>> emacs -Q
>> M-x viper
>> i (ie, go into insert mode)
>> asdf hjkl (type a few words)
>> <escape> (ie, go into command mode)
>> click on the 'a' (or move there any way you want)
>> double click to put 'asdf' into emacs clipboard (ie X11 clipboard,
>> primary, whatever)
>> click on the 'h' (or move there any way you want)
>> cw (ie viper command to change word)j
>> <middle mouse click> (to paste the clipboard, or yank or whatever
>> emacs calls it :-)
>> hjkl is pasted in
>>
>> But 'asdf' should have been pasted in.
>
> Did you read the section "Selection changes" in etc/NEWS?  I think
> what you see is the result of a deliberate change in behavior
> described there.  In particular, double-clicking a mouse no longer
> puts the selected text into the clipboard, only into the PRIMARY
> selection.
>
>> This is very annoying and I cannot imagine using the new version if
>> this is not fixed.
>
> The above-mentioned section also tells you how to customize Emacs to
> get the old behavior back.
>

I just read that info in NEWS about selection changes and I'm glad I
did (since it will affect me in other ways). But it should have
nothing to do with the bug I describe. The point I make is that 'cw'
should not alter any of the selections (primary, clipboard, etc). The
word gets hi-lighted but that is only a visual aid, it should not
alter the 'selection'.

Bob